# InputFile - docs

docs / com.github.insanusmokrassar.TelegramBotAPI.requests.abstracts / InputFile

# InputFile

(common) `sealed class InputFile` (source)

### Properties

(common)

#### fileId

`abstract val fileId: String`

### Inheritors

(common)

#### FileId

Contains file id or file url

`data class FileId : InputFile`

(common)

#### MultipartFile

Contains info about file for sending

`data class MultipartFile : InputFile`